diff -ur xntp3-5.93a/ChangeLog xntp3-5.93b/ChangeLog
--- xntp3-5.93a/ChangeLog	Thu Apr 30 00:07:00 1998
+++ xntp3-5.93b/ChangeLog	Tue May  5 20:43:55 1998
@@ -1,3 +1,18 @@
+Tue May  5 03:06:46 1998  Harlan Stenn  <stenn@whimsy.udel.edu>
+
+	* configure.in: 5.93b
+
+	* util/ntptime.c (main): Only clear modes if adjtimex is being used.
+
+	* xntpd/refclock_atom.c (atom_poll): Use LDISC_PPS if we're using PPS.
+	* xntpd/refclock_jupiter.c: Declare extern int pps_enable;
+	From: Per Hedeland <per@erix.ericsson.se>
+
+	* configure.in: Just use/look for adjtimex under Linux.
+	* util/ntptime.c (ntp_gettime): Ditto.
+	(main): Zero ntv.modes before calling ntp_gettime.
+	From: Jon Peatfield <J.S.Peatfield@damtp.cam.ac.uk>
+
 Wed Apr 29 19:04:51 1998  Harlan Stenn  <stenn@whimsy.udel.edu>
 
 	* configure.in: 5.93a
diff -ur xntp3-5.93a/config.h.in xntp3-5.93b/config.h.in
--- xntp3-5.93a/config.h.in	Fri Apr 24 20:12:51 1998
+++ xntp3-5.93b/config.h.in	Tue May  5 03:37:25 1998
@@ -426,9 +426,6 @@
 /* Define if you have the __adjtimex function.  */
 #undef HAVE___ADJTIMEX
 
-/* Define if you have the __ntp_gettime function.  */
-#undef HAVE___NTP_GETTIME
-
 /* Define if you have the clock_settime function.  */
 #undef HAVE_CLOCK_SETTIME
 
diff -ur xntp3-5.93a/configure.in xntp3-5.93b/configure.in
--- xntp3-5.93a/configure.in	Wed Apr 29 23:33:18 1998
+++ xntp3-5.93b/configure.in	Tue May  5 20:43:58 1998
@@ -1,7 +1,7 @@
 dnl -*-fundamental-*-
 dnl Process this file with autoconf to produce a configure script.
 AC_INIT(xntpd/ntp_refclock.c)
-AM_INIT_AUTOMAKE(xntp3, 5.93a)
+AM_INIT_AUTOMAKE(xntp3, 5.93b)
 AC_CANONICAL_SYSTEM
 AC_DEFINE_UNQUOTED(STR_SYSTEM, "$target")
 AM_CONFIG_HEADER(config.h)
@@ -404,7 +404,7 @@
 
 case "$target" in
  *-*-linux*)
-    AC_CHECK_FUNCS(__adjtimex __ntp_gettime)
+    AC_CHECK_FUNCS(__adjtimex)
     ;;
 esac
 AC_CHECK_FUNCS(clock_settime daemon getbootfile getdtablesize getrusage)
@@ -963,8 +963,8 @@
 
 AC_CACHE_CHECK([availability of ntp_{adj,get}time()], ac_cv_var_ntp_syscalls,
  [ac_cv_var_ntp_syscalls=no
- case "$ac_cv_func___adjtimex$ac_cv_func___ntp_gettime" in
-  yesyes)
+ case "$ac_cv_func___adjtimex" in
+  yes)
     ac_cv_var_ntp_syscalls=libc
     ;;
   *) case "$ac_cv_func_ntp_adjtime$ac_cv_func_ntp_gettime" in
Only in xntp3-5.93b/patches/done: 192
Only in xntp3-5.93b/patches/inbox: 12
diff -ur xntp3-5.93a/util/Makefile.in xntp3-5.93b/util/Makefile.in
--- xntp3-5.93a/util/Makefile.in	Thu Apr 30 17:58:04 1998
+++ xntp3-5.93b/util/Makefile.in	Tue May  5 21:12:26 1998
@@ -326,7 +326,7 @@
 jitter.o jitter.lo: jitter.c
 kern.o kern.lo: kern.c
 longsize.o longsize.lo: longsize.c
-ntptime.o ntptime.lo: ntptime.c ../config.h
+ntptime.o: ntptime.c ../config.h
 precision.o precision.lo: precision.c ../include/ntp_unixtime.h \
 	../include/ntp_types.h ../include/ntp_machine.h ../config.h \
 	../include/ntp_proto.h
diff -ur xntp3-5.93a/util/ntptime.c xntp3-5.93b/util/ntptime.c
--- xntp3-5.93a/util/ntptime.c	Wed Sep 24 00:27:00 1997
+++ xntp3-5.93b/util/ntptime.c	Tue May  5 21:08:48 1998
@@ -40,6 +40,9 @@
 #  endif
 #  ifdef HAVE___ADJTIMEX
 #   define ntp_adjtime(t)  __adjtimex((t))
+/* Hack hack hack 1998-Apr-29  JSP */
+#   define ntptimeval timex
+#   define ntp_gettime __adjtimex
 #  endif
 # endif /* NOT NTP_SYSCALLS_STD */
 #endif /* KERNEL_PLL */
@@ -260,6 +263,9 @@
   /*
    * Fetch timekeeping data and display.
    */
+#ifdef HAVE___ADJTIMEX
+  ntv.modes = 0;
+#endif
   status = ntp_gettime(&ntv);
   if (status < 0)
     perror("ntp_gettime() call fails");
diff -ur xntp3-5.93a/xntpd/refclock_atom.c xntp3-5.93b/xntpd/refclock_atom.c
--- xntp3-5.93a/xntpd/refclock_atom.c	Fri Apr 24 19:14:20 1998
+++ xntp3-5.93b/xntpd/refclock_atom.c	Tue May  5 03:25:28 1998
@@ -456,7 +456,12 @@
 			 */
 			(void)sprintf(device, DEVICE, unit);
 			if (!(fd = refclock_open(device, SPEED232,
-	 		    LDISC_CLKPPS))) {
+#ifdef PPS
+						 LDISC_PPS
+#else
+						 LDISC_CLKPPS
+#endif
+						 ))) {
 				refclock_report(peer, CEVNT_FAULT);
 				return;
 			}
diff -ur xntp3-5.93a/xntpd/refclock_jupiter.c xntp3-5.93b/xntpd/refclock_jupiter.c
--- xntp3-5.93a/xntpd/refclock_jupiter.c	Thu Mar  5 21:42:34 1998
+++ xntp3-5.93b/xntpd/refclock_jupiter.c	Tue May  5 03:23:25 1998
@@ -129,8 +129,12 @@
  */
 extern int debug;		/* global debug flag */
 
+#ifdef TIOCSPPS
+extern int pps_enable
+#endif
+
 /*
- * Juptier unit control structure.
+ * Jupiter unit control structure.
  */
 struct jupiterunit {
 	u_int  pollcnt;			/* poll message counter */
